// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package prefix

import (
	"fmt"
)

// 前缀变量
var (
	prefixRedis   string
	prefixElastic string
)

// Init 初始化所有前缀
//  env 环境(dev test prod)
//  proj 工程名
func Init(env, proj string) {
	switch env {
	case "prod":
		fallthrough
	case "dev":
		fallthrough
	case "test":
		fallthrough
	default:
		prefixRedis = fmt.Sprintf("%s.%s.", proj, env)
		prefixElastic = prefixRedis
	}
}

// RedisPrefix 获取redis的前缀
func RedisPrefix() string {
	return prefixRedis
}

// ElasticPrefix 获取elastic索引前缀
func ElasticPrefix() string {
	return prefixElastic
}
