// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package transtasker

import "github.com/jinzhu/gorm"

// Task 任务函数类型
type Task func(db *gorm.DB) error

// Exec db任务执行
func (p *Task) Exec(db *gorm.DB) error {
	return (*p)(db)
}

// Rollback db任务回滚
func (p *Task) Rollback(db *gorm.DB) error {
	// 这里不需要真正的rollback，统一一个地方rollback
	return nil
}

// NewTask 新建一个db任务
func NewTask(t Task) Tasker {
	return &t
}
